# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-XML-DTDParser
Version:	2.01
Release:	15.%{__distinit}%{__distvers}
Summary:	Quick and dirty DTD parser
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/XML-DTDParser/
Source0:	http://search.cpan.org/CPAN/authors/id/J/JE/JENDA/XML-DTDParser-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	sed
# Module Runtime
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(FileHandle)
BuildRequires:	perl(strict)
# Test Suite
BuildRequires:	perl(Data::Compare)
BuildRequires:	perl(Test)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module parses a DTD file and creates a data structure containing info
about all tags, their allowed parameters, children, parents, optionality,
and others.

%prep
%setup -q -n XML-DTDParser-%{version}

# Fix line-endings
sed -i 's/\r$//' README

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/XML/
%{_mandir}/man3/XML::DTDParser.3*

%changelog
* Mon Oct 17 2016 Paul Howarth <paul@city-fan.org> - 2.01-15
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Sep 17 2014 Paul Howarth <paul@city-fan.org> - 2.01-11
- Classify buildreqs by usage
- Drop %%defattr, redundant since rpm 4.4

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 2.01-5
- Drop BR: perl(FileHandle), not dual-lived
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Feb 22 2012 Paul Howarth <paul@city-fan.org> - 2.01-3
- Import from Fedora package review (#791363)

* Mon Feb 20 2012 Bill Pemberton <wfp5p@virginia.edu> - 2.01-2
- Only fix line endings on README
- Add a few BuildRequires

* Thu Feb 16 2012 Bill Pemberton <wfp5p@virginia.edu> - 2.01-1
- Initial spec
